# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dbranch"
version = "0.16.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Propagate a Debian package across its Ubuntu PPA and Debian branches"
readme = "README.md"
license = "Apache-2.0 OR MIT"
repository = "https://github.com/slopfest/sandogasa"

[lib]
name = "dbranch"
path = "src/lib.rs"

[[bin]]
name = "dbranch"
path = "src/main.rs"

[dependencies.anstream]
version = "0.6"

[dependencies.anstyle]
version = "1"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]

[dependencies.sandogasa-cli]
version = "0.16"

[dependencies.serde_json]
version = "1.0"

[dev-dependencies.tempfile]
version = "3"
